Get Quests
curl --request GET \
--url http://dolphinflashcards.com/api/get-quests \
--header 'Content-Type: application/json' \
--data '
{
"jwtToken": "<string>"
}
'import requests
url = "http://dolphinflashcards.com/api/get-quests"
payload = { "jwtToken": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jwtToken: '<string>'})
};
fetch('http://dolphinflashcards.com/api/get-quests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quests": [
{
"quest_id": "<string>",
"title": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"quest_type": "<string>",
"quest_sub_type": "<string>",
"quantity": 123,
"progress": 123,
"participants": [
{
"user_id": "<string>",
"status": "<string>",
"progress": 123,
"isOwner": true,
"invited_by": "<string>"
}
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Get quests
Get Quests
Get all quests for the user, filtered by optional query parameters.
GET
/
get-quests
Get Quests
Query Parameters
Filter by quest type.
Available options:
cards_revised, xp_gained, time_spent Filter by quest sub type.
Available options:
monthly, friend Filter by quest status.
Available options:
active, finished Body
application/json
JWT token for authentication.
Response
List of quests for the user and their participants.
Show child attributes
Show child attributes
⌘I